/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.exception;

import org.apache.tools.ant.Location;
import org.ow2.petals.ant.task.monit.exception.BuildMonitException;

/**
 * A parameter value is invalid on an assertion
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class BuildAssertParamInvalidValueException extends BuildMonitException {

    private static final long serialVersionUID = 3819638000481144640L;

    private static final String MESSAGE_PATTERN = "The parameter '%s' has an invalid value ('%s') on the assertion.";

    public BuildAssertParamInvalidValueException(final String param, final String invalidValue,
            final Location location) {
        super(String.format(MESSAGE_PATTERN, param, invalidValue), location);
    }

    public BuildAssertParamInvalidValueException(final String param, final String invalidValue, final Location location,
            final Throwable cause) {
        super(String.format(MESSAGE_PATTERN, param, invalidValue), cause, location);
    }

}
