/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowtree.exception;

import org.apache.tools.ant.Location;
import org.ow2.petals.ant.task.monit.assertion.flowstep.exception.BuildAssertAttributeFailException;

/**
 * The number of flow trees is not the expected one
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class BuildAssertFlowTreesSizeException extends BuildAssertAttributeFailException {

    private static final long serialVersionUID = -1787547227612180959L;

    private static final String MESSAGE_PATTERN = "The number of flow trees is not the expected one: actual '%d', expected '%d'";

    public BuildAssertFlowTreesSizeException(final int actual, final int expected, final Location location) {
        super(String.format(MESSAGE_PATTERN, actual, expected), location);
    }

}
