/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowtreenode.exception;

import org.apache.tools.ant.Location;
import org.ow2.petals.ant.task.monit.exception.BuildMonitException;

/**
 * The parameter 'flowInstanceId' is invalid, no flow tree found having a root flow instance with this flow instance
 * identifier
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class BuildFlowInstanceIdInvalidException extends BuildMonitException {

    private static final long serialVersionUID = 4612327506482179368L;

    private static final String MESSAGE = "Invalid id for 'flowInstanceId', no flow tree found having a root flow instance with this flow instance";

    public BuildFlowInstanceIdInvalidException(final Location location) {
        super(MESSAGE, location);
    }

}
