/**
 * Copyright (c) 2015-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.exception;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Location;

/**
 * Base exception of Ant task about MONIT traces
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public abstract class BuildMonitException extends BuildException {

    private static final long serialVersionUID = 7535644838696349456L;

    public BuildMonitException(final String message) {
        super(message);
    }

    public BuildMonitException(final String message, final Location location) {
        super(message, location);
    }

    public BuildMonitException(final String message, final Throwable cause, final Location location) {
        super(message, cause, location);
    }

}
